> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/update-dsgatewayruleset.md).

# Update-DSGatewayRuleset

Update-DSGatewayRuleset aktualisiert den Namen, die Beschreibung, die Zugriffsregeln, das verknüpfte Gateway und die Sicherheitseinstellungen eines Gateway-Regelsatzes von Devolutions Server.

### Übersicht

Einen Gateway-Regelsatz aktualisieren.

### Syntax

#### GetByID

```
Update-DSGatewayRuleset [-GatewayID] <guid> [[-Name] <string>] [[-Description] <string>]
 [[-Rule] <PSGatewayAccessRule[]>] [[-LinkedGatewayID] <guid>] [-Security <GatewaySecurity>]
 [-IsDefault <bool>] [<CommonParameters>]
```

#### InputObject

```
Update-DSGatewayRuleset [-Gateway] <Gateway> [[-Name] <string>] [[-Description] <string>]
 [[-Rule] <PSGatewayAccessRule[]>] [[-LinkedGatewayID] <guid>] [-Security <GatewaySecurity>]
 [-IsDefault <bool>] [<CommonParameters>]
```

### Beschreibung

Aktualisiert einen Gateway-Regelsatz. Verwenden Sie den Parameter, um die entsprechenden Eigenschaften zu ändern.

Dieses Cmdlet hieß zuvor Update-DSVirtualGateway. Dieser Name ist weiterhin als Alias verfügbar.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayRulesetA' | Select-Object -ExpandProperty ID
PS C:\> $newRule = New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayId -Rule $newRule
```

Ersetzt alle vorhandenen Zugriffsregeln des Gateway-Regelsatzes durch eine Regel, die die IP-Adresse '1.2.3.4' verweigert.

#### Beispiel 2

```powershell
PS C:\> $gateway = Get-DSGateway -Name 'GatewayRulesetA'
PS C:\> $gateway.NetworkAccessRules.AllowList.Add(@{ 'Type' = 'IP'; 'Value' = '1.2.3.4' })
PS C:\> Update-DSGatewayRuleset -Gateway $gateway
```

Fügt dem Gateway-Regelsatz eine neue Regel hinzu, die die IP-Adresse '1.2.3.4' erlaubt.

#### Beispiel 3

```powershell
PS C:\> $vaultIds = @($vaultId1, $vaultId2)
PS C:\> $security = New-DSGatewaySecurity -VaultRoleOverride Custom -CustomVaultAccess $vaultIds -DisallowPrivateVaults
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayRulesetId -Security $security
```

Erstellt eine Sicherheitskonfiguration mit auf bestimmte Tresore beschränktem Zugriff, lässt private Tresore nicht zu und wendet sie auf einen Gateway-Regelsatz an.

### Parameter

#### -Description

Neue Beschreibung des Gateway-Regelsatzes.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Gateway

Zu aktualisierender Gateway-Regelsatz.

```yaml
Type: Devolutions.Server.ApiWrapper.Models.Gateway.Gateway
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -GatewayID

ID des zu aktualisierenden Gateway-Regelsatzes.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: GetByID
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -IsDefault

Als Standard-Gateway festlegen.

```yaml
Type: System.Boolean
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -LinkedGatewayID

ID des neuen physischen Gateways.

```yaml
Type: System.Nullable`1[System.Guid]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 4
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Name

Neuer Name des Gateway-Regelsatzes. Der Wert wird gekürzt.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Rule

Neuer Satz von Zugriffsregeln. Er ersetzt alle alten Regeln.

```yaml
Type: Devolutions.PowerShell.PSOutputObject.PSGatewayAccessRule[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 3
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Security

Sicherheitskonfiguration für den Gateway-Regelsatz. Verwenden Sie [New-DSGatewaySecurity](/powershell/de/powershell-commands/new-dsgatewaysecurity.md), um dieses Objekt zu erstellen.

```yaml
Type: Devolutions.Server.Models.Shared.Models.Gateway.GatewaySecurity
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Für weitere Informationen geben Sie "Get-Help Update-DSGatewayRuleset -detailed" ein. Für technische Informationen geben Sie "Get-Help Update-DSGatewayRuleset -full" ein.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/update-dsgatewayruleset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
